commit b5ae54f356359d427d24ce13043d26efa0f7147b
Author: freddy77 <freddy77>
Date:   Wed Jan 27 08:08:32 2010 +0000

    remove useless "A" suffix

diff --git a/ChangeLog b/ChangeLog
index 708072d..46e541d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Jan 27 09:07:13 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/sspi.c: remove useless "A" suffix
+
 Tue Jan 26 22:18:16 EST 2010	JK Lowden <jklowden@freetds.org>
 	* src/apps/Makefile.am src/dblib/dblib.c
 	* src/pool/Makefile.am src/server/Makefile.am
@@ -2208,4 +2211,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2960 2010/01/27 03:21:07 jklowden Exp $
+$Id: ChangeLog,v 1.2961 2010/01/27 08:08:32 freddy77 Exp $
diff --git a/src/tds/sspi.c b/src/tds/sspi.c
index 10616fc..109ac88 100644
--- a/src/tds/sspi.c
+++ b/src/tds/sspi.c
@@ -45,7 +45,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: sspi.c,v 1.2 2010/01/26 18:15:39 jklowden Exp $");
+TDS_RCSID(var, "$Id: sspi.c,v 1.3 2010/01/27 08:08:32 freddy77 Exp $");
 
 /**
  * \ingroup libtds
@@ -147,7 +147,7 @@ tds_sspi_handle_next(TDSSOCKET * tds, struct tds_authentication * tds_auth, size
 	out_buf.pvBuffer   = auth->tds_auth.packet;
 	out_buf.cbBuffer   = NTLMBUF_LEN;
 
-	status = sec_fn->InitializeSecurityContextA(&auth->cred, &auth->cred_ctx, NULL,  
+	status = sec_fn->InitializeSecurityContext(&auth->cred, &auth->cred_ctx, NULL,
 		ISC_REQ_CONFIDENTIALITY | ISC_REQ_REPLAY_DETECT | ISC_REQ_CONNECTION,
 		0, SECURITY_NETWORK_DREP, &in_desc,
 		0, &auth->cred_ctx, &out_desc,
@@ -190,7 +190,7 @@ tds_sspi_get_auth(TDSSOCKET * tds)
 
 	/* TODO parse user/pass and use them if available */
 	/* TODO use SPNEGO to use Kerberos if possible */
-	if (sec_fn->AcquireCredentialsHandleA(NULL, (char *)"NTLM", SECPKG_CRED_OUTBOUND,
+	if (sec_fn->AcquireCredentialsHandle(NULL, (char *)"NTLM", SECPKG_CRED_OUTBOUND,
 		NULL, NULL, // ntlm->p_identity,
 		NULL, NULL, &auth->cred, &ts) != SEC_E_OK) {
 		free(auth);

